# fspecg

stable factorization of continuous time dynamical systems

## Calling Sequence

    gm=fspecg(g).

## Arguments

g

  a continuous time linear dynamical system.

gm

  a continuous time linear dynamical system.

## Description

returns `gm` with `gm` and `gm^-1` stable such that:

    gtild(g)*g = gtild(gm)*gm

`g` and `gm` are continuous-time linear systems in state-space form.

Imaginary-axis poles are forbidden.

## Examples

    a=0.5;
    b=1;
    c=2;
    sl=syslin('c',a,b,c);
    fspecg(sl)

## History

5.4.0
Sl
is now checked for continuous time linear dynamical system. This modification has been introduced by this commit